Package io.vertx.rxjava3.kafka.client.producer

## Class KafkaHeader

- java.lang.Object
- - io.vertx.rxjava3.kafka.client.producer.KafkaHeader

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class KafkaHeader
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Vert.x Kafka producer record header.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<KafkaHeader>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaHeader​(KafkaHeader delegate)` |
    `KafkaHeader​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `KafkaHeader` | `getDelegate()` |
    `int` | `hashCode()` |
    `static KafkaHeader` | `header​(String key, Buffer value)` |
    `static KafkaHeader` | `header​(String key, String value)` |
    `String` | `key()` |
    `static KafkaHeader` | `newInstance​(KafkaHeader arg)` |
    `String` | `toString()` |
    `Buffer` | `value()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<KafkaHeader> __TYPE_ARG

  - ### Constructor Detail

    - #### KafkaHeader

          public KafkaHeader​(KafkaHeader delegate)

    - #### KafkaHeader

          public KafkaHeader​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public KafkaHeader getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### header

          public static KafkaHeader header​(String key,
                                           Buffer value)

    - #### header

          public static KafkaHeader header​(String key,
                                           String value)

    - #### key

          public String key()

      Returns:
        the buffer key

    - #### value

          public Buffer value()

      Returns:
        the buffer value

    - #### newInstance

          public static KafkaHeader newInstance​(KafkaHeader arg)